Main Page Widgets Namespaces Book

# Gtk::SizeGroup Class Reference

Inheritance diagram for Gtk::SizeGroup:

[legend]
List of all members.

## Public Methods
virtual | ~SizeGroup ()
GtkSizeGroup* | gobj ()
| Provides access to the underlying C GObject.
const GtkSizeGroup* | gobj () const
| Provides access to the underlying C GObject.
GtkSizeGroup* | gobj_copy ()
void | set_mode (SizeGroupMode mode)
| Sets the Gtk::SizeGroupMode of the size group.
SizeGroupMode | get_mode () const
| Gets the current mode of the size group.
void | add_widget (Widget& widget)
| Adds a widget to a Gtk::SizeGroup.
void | remove_widget (Widget& widget)
| Removes a widget from a Gtk::SizeGroup.
Glib::PropertyProxy<SizeGroupMode> | property_mode ()
## Static Public Methods
Glib::RefPtr<SizeGroup> | create (SizeGroupMode mode)
## Protected Methods
| SizeGroup (SizeGroupMode mode)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::SizeGroup> | wrap (GtkSizeGroup* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::SizeGroup::~SizeGroup | ( |  | ) | `[virtual]`

Gtk::SizeGroup::SizeGroup | ( | SizeGroupMode | mode | ) | `[explicit, protected]`

## Member Function Documentation

void Gtk::SizeGroup::add_widget | ( | Widget& | widget | ) |

  | Adds a widget to a Gtk::SizeGroup. In the future, the requisition of the widget will be determined as the maximum of its requisition and the requisition of the other widgets in the size group. Whether this applies horizontally, vertically, or in both directions depends on the mode of the size group. See set_mode(). Parameters:
  widget | The Gtk::Widget to add.

Glib::RefPtr<SizeGroup> Gtk::SizeGroup::create | ( | SizeGroupMode | mode | ) | `[static]`

SizeGroupMode Gtk::SizeGroup::get_mode | ( |  | ) |

| Gets the current mode of the size group. See set_mode(). Returns: The current mode of the size group.

const GtkSizeGroup* Gtk::SizeGroup::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkSizeGroup* Gtk::SizeGroup::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkSizeGroup* Gtk::SizeGroup::gobj_copy | ( |  | ) |

Glib::PropertyProxy<SizeGroupMode> Gtk::SizeGroup::property_mode | ( |  | ) |

void Gtk::SizeGroup::remove_widget | ( | Widget& | widget | ) |

  | Removes a widget from a Gtk::SizeGroup. Parameters:
  widget | The Gtk::Widget to remove.

void Gtk::SizeGroup::set_mode | ( | SizeGroupMode | mode | ) |

  | Sets the Gtk::SizeGroupMode of the size group. The mode of the size group determines whether the widgets in the size group should all have the same horizontal requisition (Gtk::SIZE_GROUP_MODE_HORIZONTAL) all have the same vertical requisition (Gtk::SIZE_GROUP_MODE_VERTICAL), or should all have the same requisition in both directions (Gtk::SIZE_GROUP_MODE_BOTH). Parameters:
  mode | The mode to set for the size group.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::SizeGroup> wrap | ( | GtkSizeGroup* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- sizegroup.h